Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Andreas Schwab <[email-masked]>
Date: Wed, 07 Apr 2021 12:35:10 +0200

On Apr 07 2021, Alan Third wrote:

> This appears to work, but I don't see anything else like it in
> configure.ac, so it's maybe not a good idea:
>
>         brew_libdir=`dirname ${BREW_LIBGCCJIT_PREFIX}/lib/gcc/*/libgccjit.so`
>         LDFLAGS="$LDFLAGS -L${brew_libdir} -I${BREW_LIBGCCJIT_PREFIX}/include"
>
> The alternative is just to leave people to set up these flags
> themselves, but I'd rather not if we can avoid it.

Why do you need that in the first place?  The compiler should be looking
there by default.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."